# Interface methods for submodule: ChangeLabelLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceLabelMapFilterProxy as _InPlaceLabelMapFilterProxy


# Interface methods for class: ChangeLabelLabelMapFilter
class ChangeLabelLabelMapFilterProxy(_InPlaceLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetChangeMap(self, changeMap) -> None:
		""""""
		...

	def GetChangeMap(self):
		""""""
		...

	def SetChange(self, oldLabel: int, newLabel: int) -> None:
		""""""
		...

	def ClearChangeMap(self) -> None:
		""""""
		...

